Debian Bug report logs - #355323
FTBFS: undefined reference to `pango_x_font_map_for_display'

version graph

Package: ebview; Maintainer for ebview is Masayuki Hatta (mhatta) <mhatta@debian.org>; Source for ebview is src:ebview.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sat, 4 Mar 2006 23:48:07 UTC

Severity: serious

Tags: fixed, patch

Found in version ebview/0.3.6-1

Fixed in version ebview/0.3.6-2

Done: Masayuki Hatta (mhatta) <mhatta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#355323; Package ebview. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS: undefined reference to `pango_x_font_map_for_display'
Date: Sat, 4 Mar 2006 22:49:30 +0000
Package: ebview
Version: 0.3.6-1
Severity: serious

Your package no longer builds in unstable, apparently due to changes
in pango.  It fails with:
    undefined reference to `pango_x_font_map_for_display'



> Automatic build of ebview_0.3.6-1 on bigsur by sbuild/mips 1.75
...
> Selecting previously deselected package libpango1.0-common.
> Unpacking libpango1.0-common (from .../libpango1.0-common_1.10.4-1_mips.deb) ...
> Selecting previously deselected package libxft2.
> Unpacking libxft2 (from .../libxft2_2.1.8.2-3_mips.deb) ...
> Selecting previously deselected package libpango1.0-0.
> Unpacking libpango1.0-0 (from .../libpango1.0-0_1.10.4-1_mips.deb) ...
...
> Selecting previously deselected package libpango1.0-dev.
> Unpacking libpango1.0-dev (from .../libpango1.0-dev_1.10.4-1_mips.deb) ...
...
> mips-linux-gnu-gcc -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include      -Wall -g -O2   -o ebview  bmh.o cellrendererebook.o dialog.o dictbar.o dirtree.o dump.o eb.o ebview.o external.o filter.o grep.o headword.o history.o hook.o jcode.o link.o log.o mainmenu.o mainwindow.o menu.o misc.o multi.o pixmap.o popup.o preference.o pref_color.o pref_dictgroup.o pref_dirgroup.o pref_external.o pref_font.o pref_grep.o pref_gui.o pref_io.o pref_search.o pref_selection.o pref_shortcut.o pref_stemming.o pref_weblist.o reg.o render.o selection.o shortcut.o shortcutfunc.o splash.o statusbar.o textview.o thread_search.o websearch.o xml.o xmlinternal.o -L/usr/X11R6/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lXrandr -lXi -lXinerama -lXext -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXcursor -lpango-1.0 -lcairo -lXrender -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lpthread -L/usr/lib -leb -lz    
> preference.o: In function `calculate_font_size':/build/tbm/ebview-0.3.6/src/preference.c:432: undefined reference to `pango_x_font_map_for_display'
> collect2: ld returned 1 exit status
> make[3]: *** [ebview] Error 1
> make[3]: Leaving directory `/build/tbm/ebview-0.3.6/src'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/build/tbm/ebview-0.3.6'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/build/tbm/ebview-0.3.6'
> make: *** [build-stamp] Error 2

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#355323; Package ebview. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #10 received at 355323@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: 355323@bugs.debian.org, control@bugs.debian.org
Subject: Patch
Date: Fri, 10 Mar 2006 05:28:09 -0800
[Message part 1 (text/plain, inline)]
tag 355323 patch
thanks

The attached patch fixes this problem by checking for pangox and
linking against it explicitly.

-- 
Matt
[ebview.patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Matt Kraai <kraai@ftbfs.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Masayuki Hatta (mhatta) <mhatta@debian.org>:
Bug#355323; Package ebview. Full text and rfc822 format available.

Acknowledgement sent to Mario Iseli <mario@marioiseli.com>:
Extra info received and forwarded to list. Copy sent to Masayuki Hatta (mhatta) <mhatta@debian.org>. Full text and rfc822 format available.

Message #17 received at 355323@bugs.debian.org (full text, mbox):

From: Mario Iseli <mario@marioiseli.com>
To: 355323@bugs.debian.org
Subject: NMU-patch
Date: Sat, 9 Sep 2006 18:07:41 +0200
[Message part 1 (text/plain, inline)]
Hello,

I fixed this bug finally. We had to link the package against pangox and
it worked. The patch which we have uploaded is attached to this mail.
Don't forget to run aclocal, autoconf and automake before building.

-- 
  .''`.     Mario Iseli <admin@marioiseli.com>
 : :'  :    proud user of Debian unstable
 `. `'`
   `-  Debian - when you have better things to do than fixing a system
[ebview.diff (text/plain, attachment)]

Tags added: fixed Request was from Mario Iseli <admin@marioiseli.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Masayuki Hatta (mhatta) <mhatta@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 355323-close@bugs.debian.org (full text, mbox):

From: Masayuki Hatta (mhatta) <mhatta@debian.org>
To: 355323-close@bugs.debian.org
Subject: Bug#355323: fixed in ebview 0.3.6-2
Date: Sun, 08 Oct 2006 02:47:07 -0700
Source: ebview
Source-Version: 0.3.6-2

We believe that the bug you reported is fixed in the latest version of
ebview, which is due to be installed in the Debian FTP archive:

ebview_0.3.6-2.diff.gz
  to pool/main/e/ebview/ebview_0.3.6-2.diff.gz
ebview_0.3.6-2.dsc
  to pool/main/e/ebview/ebview_0.3.6-2.dsc
ebview_0.3.6-2_i386.deb
  to pool/main/e/ebview/ebview_0.3.6-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 355323@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Masayuki Hatta (mhatta) <mhatta@debian.org> (supplier of updated ebview package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  8 Oct 2006 18:30:40 +0900
Source: ebview
Binary: ebview
Architecture: source i386
Version: 0.3.6-2
Distribution: unstable
Urgency: low
Maintainer: Masayuki Hatta (mhatta) <mhatta@debian.org>
Changed-By: Masayuki Hatta (mhatta) <mhatta@debian.org>
Description: 
 ebview     - EPWING CD-ROM dictionary viewer
Closes: 355323
Changes: 
 ebview (0.3.6-2) unstable; urgency=low
 .
   * Bumped to Standards-Version: 3.7.2.
   * Acknowledged NMU, thanks Mario - closes: #355323
   * Fixed FSF's address.
   * Converted the menu icon to 32x32.
Files: 
 f7b8d8d90aabae3ea974774774d3ab99 607 text extra ebview_0.3.6-2.dsc
 bf6cc3d772ee429675ec4c83823bc9a2 310910 text extra ebview_0.3.6-2.diff.gz
 5e12234233d4b01380da31d48eb3e81f 204342 text extra ebview_0.3.6-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFKMdWy2+jQOcHWlQRAkk5AJ9PYqUvg5r1rhPadKkhfeoe61II5QCgrwU2
VqY0sQoNpvTOT/pw+DuRrwM=
=E5yB
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 21:53:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:36:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.